Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.ashwood.graph
Class FilterIteration<E,V>

    java.lang.Object
      org.apache.cayenne.ashwood.graph.FilterIteration<E,V>

All Implemented Interfaces:
  DigraphIteration<E,V>

    public class FilterIteration<E,V>

extends java.lang.Object
implements DigraphIteration<E,V>

Since:
  3.1

Constructor Summary
`FilterIteration(DigraphIteration<E,V> digraph, org.apache.commons.collections.Predicate acceptVertex, org.apache.commons.collections.Predicate acceptArc)`

Method Summary
`ArcIterator<E,V>` | `arcIterator()`
`ArcIterator<E,V>` | `incomingIterator(E vertex)`
`ArcIterator<E,V>` | `outgoingIterator(E vertex)`
`java.util.Iterator<E>` | `vertexIterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterIteration

    public FilterIteration(DigraphIteration<E,V> digraph,
                           org.apache.commons.collections.Predicate acceptVertex,
                           org.apache.commons.collections.Predicate acceptArc)

Method Detail

### vertexIterator

    public java.util.Iterator<E> vertexIterator()

  Specified by:
    `vertexIterator` in interface `DigraphIteration<E,V>`

### arcIterator

    public ArcIterator<E,V> arcIterator()

  Specified by:
    `arcIterator` in interface `DigraphIteration<E,V>`

### outgoingIterator

    public ArcIterator<E,V> outgoingIterator(E vertex)

  Specified by:
    `outgoingIterator` in interface `DigraphIteration<E,V>`

### incomingIterator

    public ArcIterator<E,V> incomingIterator(E vertex)

  Specified by:
    `incomingIterator` in interface `DigraphIteration<E,V>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.